Sosyal Medya

Bülten Aboneliği
*  E-posta adresiniz:



* Güvenlik kodu:
Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] > 81 <
İleti Yazar
24.03.2017 10:48
84866      




Travaci

[70] Editör

Online Durumu

1979 ileti
Teknik Ressam
Konstantinopol

Yemrek


Sizin nesliniz hala tükenmedimi

24.03.2017 11:03
84867      




alumina

[70] Editör

Online Durumu

572 ileti
Insaat Muhendisi
Istanbul

Alıntı
yemrek :

Kod:

(defun c:cl (/)
  (if (ssget)
    (alert (vl-list->string '(50 48 48 55 32 109 105 63 32 58 41 58 41)))) (princ)
)

24.03.2017 14:25
84868      




yemrek

[2] Girişimci

Online Durumu

5 ileti
mühendis
malatya

Alıntı
alumina :
Alıntı
yemrek :

Kod:

(defun c:cl (/)
  (if (ssget)
    (alert (vl-list->string '(50 48 48 55 32 109 105 63 32 58 41 58 41)))) (princ)
)




Kardeş eline sağlık..

24.03.2017 14:42
84869      




bedyr

[2] Girişimci

Online Durumu

4 ileti
elektrik müh.
ş.urfa

Merhaba arkadaşlar aşağıda eklediğim lispte karakter sayısı arttığı zaman daireden veya kareden taşıyor. Bu düzeltilebilir mi acaba?


(defun c ()
(setq om (getvar "osmode"))
(setvar "cmdecho" 0)
(setq T1 "\n yazi yuksekligi <"
T2 "> ? "
T3 (getvar "textsize")
)
(terpri)
(setq TH (getreal (strcat T1 (rtos T3 2 2) T2)))
(if (= TH nil)
(setq TH t3)
)
(setq h1 (getstring "\n açiklama olarak bas ek ? "))
(setq n (getint "\n etiket numarasi kaçtan baslasin ? ")) ; 1
(initget 1 "d k") ; 2
(setq z (getkword "\n daireli mi koseli mi olsun ? ")) ; 3
(if
(= z "d")
(progn
(while
(setq p1 (getpoint "\n ilk noktayi giriniz"))
(setvar "osmode" 0)
(setq p2 (getpoint p1 "\n ikinci noktayi giriniz"))
(command "line" p1 p2 "") ; 4
(command "circle" p1 (* 0.1 th)) ; 5
(command "circle" p2 (* 0.9 th))
(command "trim" "l" "" p2 "")
(setq nn (strcat h1 (itoa n)))
(command "text" "j" "mc" p2 th "0" nn "")
(setq n (1+ n)) ; 6
(setvar "osmode" om)
)
)
)
(if ; 7
(= z "k")
(progn
(setq ko (getint "\n kac koseli olsun ")) ; 8
(while ; 9
(setq p1 (getpoint "\n ilk noktayi giriniz"))
(setvar "osmode" 0)
(setq p2 (getpoint p1 "\n ikinci noktayi giriniz"))
(command "line" p1 p2 "")
(command "circle" p1 (* 0.1 th))
(command "polygon" ko p2 "c" (* 0.9 th))
(command "trim" "l" "" p2 "")
(setq nn (strcat h1 (itoa n)))
(command "text" "j" "mc" p2 th "0" nn "")
(setq n (1+ n))
(setvar "osmode" om)
)
)
)
)

25.03.2017 16:58
84873      




alves

[3] Kıdemli Girişimci

Online Durumu

47 ileti
mekanik tesisat
ordu

fillet komutunda ile iki ayrı layerdeki çizgileri birleştiriyorum. benim burad sizden isteğim 1. çizgi tipim sarı 2.çizgi tipim kırmızı varsayalım. fillet komutu gibi bir lisp ile birinci seçtiğim çizgiyle 2. çizgi tipim fillet gibi aypıtımda aynı tip renk olmasını istiyorum. bunun için bir lisp yazılmışmıydı. forumda aradım bulamadım. yardımlarınızı bekliyrum

27.03.2017 13:01
84880      




alumina

[70] Editör

Online Durumu

572 ileti
Insaat Muhendisi
Istanbul

Alıntı
alves :

Kod:

(defun c:flt (/ fl ss sl ns fr)
  (if (setq fl (getdist "\nRadius:"))
    (if (setq ss (ssget ":s" '((0 . "line"))))
      (progn (redraw (setq sl (ssname ss 0)) 3)
        (if (setq ns (ssget ":s" '((0 . "line"))))
          (progn (setvar 'cmdecho 0) (setq fr (getvar 'filletrad)) (setvar 'filletrad fl)
            (command "._undo" "be" "._fillet" sl (ssname ns 0)
              "._matchprop" sl (ssname ns 0) "" "._matchprop" sl (entlast) ""
              "._undo" "e") (setvar 'filletrad fr) (setvar 'cmdecho 1)
          )
        ) (redraw sl 4)
      )
    )
  ) (prin1)
)

28.03.2017 18:14
84881      




alves

[3] Kıdemli Girişimci

Online Durumu

47 ileti
mekanik tesisat
ordu

hocam çok teşekkür ederim. radius değeri geliyor her seferinde onu 0 yapmak zorunda kılıyorum. her zaman onun 0 olma şansı varmıdır.

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] > 81 <
Yukarı Çık
Copyright © 2004-2017 | Tüm Hakları Saklıdır | 4866 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam